=== src/clustering/CMakeLists.txt ===
set(clustering_header_files
        clustering/AlignmentSymmetry.h
        clustering/Clustering.h
        clustering/ClusteringAlgorithms.h
        clustering/Main.cpp
        clustering/SetElement.h
        PARENT_SCOPE
        )

set(clustering_source_files
        clustering/AlignmentSymmetry.cpp
        clustering/Clustering.cpp
        clustering/ClusteringAlgorithms.cpp
        clustering/Main.cpp
        PARENT_SCOPE
        )
