=== src/taxonomy/CMakeLists.txt ===
set(taxonomy_header_files
        taxonomy/NcbiTaxonomy.h
        PARENT_SCOPE
        )


set(taxonomy_source_files
        taxonomy/lca.cpp
        taxonomy/addtaxonomy.cpp
        taxonomy/NcbiTaxonomy.cpp
        taxonomy/filtertaxdb.cpp
        taxonomy/createtaxdb.cpp
        taxonomy/taxonomyreport.cpp
        PARENT_SCOPE
        )
