=== src/util/CMakeLists.txt ===
set(util_source_files
        util/alignall.cpp
        util/alignbykmer.cpp
        util/apply.cpp
        util/clusthash.cpp
        util/compress.cpp
        util/convert2fasta.cpp
        util/convertalignments.cpp
        util/convertca3m.cpp
        util/convertkb.cpp
        util/convertmsa.cpp
        util/convertprofiledb.cpp
        util/createdb.cpp
        util/dbtype.cpp
        util/indexdb.cpp
        util/offsetalignment.cpp
        util/createseqfiledb.cpp
        util/createsubdb.cpp
        util/view.cpp
        util/createtsv.cpp
        util/diffseqdbs.cpp
        util/expandaln.cpp
        util/extractalignedregion.cpp
        util/extractdomains.cpp
        util/extractorfs.cpp
        util/orftocontig.cpp
        util/touchdb.cpp
        util/filterdb.cpp
        util/gff2db.cpp
        util/masksequence.cpp
        util/maskbygff.cpp
        util/mergeclusters.cpp
        util/mergeresultsbyset.cpp
        util/mergedbs.cpp
        util/msa2profile.cpp
        util/mvdb.cpp
        util/countkmer.cpp
        util/prefixid.cpp
        util/profile2cs.cpp
        util/profile2pssm.cpp
        util/result2flat.cpp
        util/result2msa.cpp
        util/result2rbh.cpp
        util/result2profile.cpp
        util/result2pp.cpp
        util/result2repseq.cpp
        util/result2stats.cpp
        util/reverseseq.cpp
        util/rmdb.cpp
        util/shellcompletion.cpp
        util/extractframes.cpp
        util/sortresult.cpp
        util/splitdb.cpp
        util/splitsequence.cpp
        util/subtractdbs.cpp
        util/summarizealis.cpp
        util/summarizeheaders.cpp
        util/summarizeresult.cpp
        util/summarizetabs.cpp
        util/swapresults.cpp
        util/transitivealign.cpp
        util/translatenucs.cpp
        util/translateaa.cpp
        util/tsv2db.cpp
        util/proteinaln2nucl.cpp
        util/versionstring.cpp
        util/diskspaceavail.cpp
        PARENT_SCOPE
        )
