## mmseqs2 9-d36de%2Bds

=== debian/changelog ===
mmseqs2 (9-d36de+ds-4) unstable; urgency=medium

  * Team upload.

  [ Shayan Doust ]
  * Fix some pathing for different archs
  * Exclude some archs

 -- Andrius Merkys <merkys@debian.org>  Tue, 22 Oct 2019 01:02:46 -0400

mmseqs2 (9-d36de+ds-3) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Andreas Tille ]
  * Fix spelling

 -- Andrius Merkys <merkys@debian.org>  Fri, 18 Oct 2019 00:44:22 -0400

mmseqs2 (9-d36de+ds-2) unstable; urgency=medium

  * Fixed changelog
  * Patch to fix the matrix serialization test
  * Forgot to deallocate within serialization patch
  * Fix test_bestalphabet binary. Now works. This is used within autopkgtest
  * Patch to fix test_alignmentperformance I have excluded this as it takes a
    *very* long time to perform and probably isn't worth it. Probably should be
    used alongside a profiler
  * Patch test_dbreader and include this in the unit test
  * Patch dbreaderserialization test and include in unit test
  * Patch to fix test_dbreaderzstd and include it in the unit test
  * Patch to fix test_indextable
  * This package is only 64 bit, set it as that
  * Append to copyright more entries that were missed out
  * Detect and write more copyright entries using decopy
  * Add more entries to the copyright file
  * Delete some unnecessary lib files and outputs These are used during build
    and serve no purpose to the end users
  * libbz2-dev as a new dependency as mmseqs2 accepts *.bz inputs
  * Copyright edit and changelog append
  * Forgot to set environmental variable

 -- Shayan Doust <hello@shayandoust.me>  Thu, 25 Jul 2019 03:38:36 +0100

mmseqs2 (9-d36de+ds-1) unstable; urgency=medium

  * Initial release (Closes: #932369)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 15 Jul 2019 13:45:03 +0100
