=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_install:
	dh_install
	mkdir -p debian/mmseqs2/usr/lib/mmseqs2/test
	cp src/test/*.index debian/mmseqs2/usr/lib/mmseqs2/test
	cp src/test/dataGap debian/mmseqs2/usr/lib/mmseqs2/test
	cp src/test/dataLinear debian/mmseqs2/usr/lib/mmseqs2/test
	cp -r obj-$(DEB_HOST_MULTIARCH)/src/test debian/mmseqs2/usr/lib/mmseqs2

	# We also remove unneeded files & folders like CMake
	rm -r debian/mmseqs2/usr/lib/mmseqs2/test/CMakeFiles \
		debian/mmseqs2/usr/lib/mmseqs2/test/*.cmake \
		debian/mmseqs2/usr/lib/mmseqs2/test/Makefile \
		debian/mmseqs2-examples/usr/share/doc/mmseqs2/example-data/*.lib \
		debian/mmseqs2-examples/usr/share/doc/mmseqs2/example-data/CovSeqidQscPercMinDiag.out \
		debian/mmseqs2-examples/usr/share/doc/mmseqs2/example-data/CovSeqidQscPercMinDiagTargetCov.out || true
