=== src/multihit/CMakeLists.txt ===
set(multihit_header_files
        multihit/Aggregation.h
        PARENT_SCOPE
        )


set(multihit_source_files
        multihit/besthitperset.cpp
        multihit/combinepvalperset.cpp
        multihit/resultsbyset.cpp
        multihit/Aggregation.h
        multihit/Aggregation.cpp
        multihit/MultiHitDb.cpp
        multihit/MultiHitSearch.cpp
        multihit/SummarizeResultsBySet.cpp
        PARENT_SCOPE
        )
