=== src/taxonomy/CMakeLists.txt ===
--- 
+++ 
@@ -11,5 +11,6 @@
         taxonomy/filtertaxdb.cpp
         taxonomy/createtaxdb.cpp
         taxonomy/taxonomyreport.cpp
+        taxonomy/TaxonomyExpression.h
         PARENT_SCOPE
         )
