=== src/util/CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,6 @@
         util/result2stats.cpp
         util/reverseseq.cpp
         util/rmdb.cpp
-        util/shellcompletion.cpp
         util/extractframes.cpp
         util/sortresult.cpp
         util/splitdb.cpp
