## mmseqs2 10-6d92c+ds

=== debian/changelog ===
mmseqs2 (10-6d92c+ds-2) unstable; urgency=medium

  * Team upload.
  * Do not misuse d/changelog as another README.source -> thus moved
    TODO item from d/changelog to README.source
  * Standards-Version: 4.5.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Do not try to call tests that are removed upstream
    Closes: #951165

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2020 22:57:58 +0100

mmseqs2 (10-6d92c+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12 (routine-update)
  * Standards-Version: 4.4.1 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Sun, 19 Jan 2020 14:16:12 +0100
