=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Shayan Doust <hello@shayandoust.me>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libgzstream-dev,
                libzstd-dev,
                zlib1g-dev,
                libbz2-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/mmseqs2
 Vcs-Git: https://salsa.debian.org/med-team/mmseqs2.git
 Homepage: https://github.com/soedinglab/MMseqs2
