=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,10 @@
 override_dh_install:
 	dh_install
 	mkdir -p debian/mmseqs2/usr/lib/mmseqs2/test
-	cp src/test/*.index debian/mmseqs2/usr/lib/mmseqs2/test
-	cp src/test/dataGap debian/mmseqs2/usr/lib/mmseqs2/test
-	cp src/test/dataLinear debian/mmseqs2/usr/lib/mmseqs2/test
-	cp -r obj-$(DEB_HOST_MULTIARCH)/src/test debian/mmseqs2/usr/lib/mmseqs2
+	cp src/test/*.index debian/mmseqs2/usr/lib/mmseqs2/test/
+	cp src/test/dataGap debian/mmseqs2/usr/lib/mmseqs2/test/
+	cp src/test/dataLinear debian/mmseqs2/usr/lib/mmseqs2/test/
+	#cp -r obj-$(DEB_HOST_MULTIARCH)/src/test debian/mmseqs2/usr/lib/mmseqs2/
 
 	# We also remove unneeded files & folders like CMake
 	rm -r debian/mmseqs2/usr/lib/mmseqs2/test/CMakeFiles \
