## mmseqs2 11

=== CMakeLists.txt ===
--- 
+++ 
@@ -83,12 +83,23 @@
 include_directories(lib/tinyexpr)
 add_subdirectory(lib/tinyexpr EXCLUDE_FROM_ALL)
 
+# microtar
+include_directories(lib/microtar)
+add_subdirectory(lib/microtar)
+
+# default cygwin allocator (dlmalloc) locks on every allocation and destroys MT performance
+if (CYGWIN)
+    add_subdirectory(lib/nedmalloc)
+endif()
+
 include_directories(lib)
 include_directories(lib/simd)
 include_directories(lib/gzstream)
 include_directories(lib/alp)
 include_directories(lib/cacode)
 include_directories(lib/ksw2)
+include_directories(lib/xxhash)
+
 add_subdirectory(lib/cacode)
 add_subdirectory(lib/alp)
 add_subdirectory(lib/ksw2)
