=== src/CMakeLists.txt ===
--- 
+++ 
@@ -120,8 +120,13 @@
 # SIMD instruction sets support
 if (HAVE_AVX2)
     target_compile_definitions(mmseqs-framework PUBLIC -DAVX2=1)
-    append_target_property(mmseqs-framework COMPILE_FLAGS -mavx2 -Wa,-q)
-    append_target_property(mmseqs-framework LINK_FLAGS -mavx2 -Wa,-q)
+    if (CMAKE_COMPILER_IS_CLANG)
+        append_target_property(mmseqs-framework COMPILE_FLAGS -mavx2)
+        append_target_property(mmseqs-framework LINK_FLAGS -mavx2)
+    else ()
+        append_target_property(mmseqs-framework COMPILE_FLAGS -mavx2 -Wa,-q)
+        append_target_property(mmseqs-framework LINK_FLAGS -mavx2 -Wa,-q)
+    endif ()
 elseif (HAVE_SSE4_1)
     target_compile_definitions(mmseqs-framework PUBLIC -DSSE=1)
     append_target_property(mmseqs-framework COMPILE_FLAGS -msse4.1)
@@ -145,8 +150,10 @@
     endif (HAVE_AVX2_EXTENSIONS)
 endif ()
 
-# tinyexpr
-target_link_libraries(mmseqs-framework tinyexpr)
+target_link_libraries(mmseqs-framework tinyexpr libzstd_static microtar)
+if (CYGWIN)
+    target_link_libraries(mmseqs-framework nedmalloc)
+endif ()
 
 find_package(ZLIB QUIET)
 if (ZLIB_FOUND)
@@ -226,7 +233,9 @@
     # For GCC we dont want to do this since it breaks macOS static builds
     # It will link libgomp.a internally (through -fopenmp I guess)
     # and also link libgomp.dylib thus breaking static builds
-    # target_link_libraries(mmseqs-framework ${OpenMP_CXX_LIBRARIES})
+    if (NOT "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+        target_link_libraries(mmseqs-framework ${OpenMP_CXX_LIBRARIES})
+    endif()
     append_target_property(mmseqs-framework COMPILE_FLAGS ${OpenMP_CXX_FLAGS})
     append_target_property(mmseqs-framework LINK_FLAGS ${OpenMP_CXX_FLAGS})
 elseif (REQUIRE_OPENMP)
