=== src/util/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
         util/prefixid.cpp
         util/profile2cs.cpp
         util/profile2pssm.cpp
+        util/profile2seq.cpp
         util/result2flat.cpp
         util/result2msa.cpp
         util/result2rbh.cpp
@@ -61,6 +62,7 @@
         util/translatenucs.cpp
         util/translateaa.cpp
         util/tsv2db.cpp
+        util/tar2db.cpp
         util/proteinaln2nucl.cpp
         util/versionstring.cpp
         util/diskspaceavail.cpp
