=== src/workflow/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 set(workflow_source_files
         workflow/Cluster.cpp
         workflow/ClusterUpdate.cpp
+        workflow/Databases.cpp
         workflow/Linclust.cpp
         workflow/EasySearch.cpp
         workflow/EasyCluster.cpp
